<template>
  <q-page>
    <q-list bordered>
      <q-item
        v-for="contact in contacts"
        :key="contact.id"
        v-ripple
        class="q-my-sm"
        clickable
      >
        <q-item-section avatar>
          <q-avatar color="primary" text-color="white">
            {{ contact.letter }}
          </q-avatar>
        </q-item-section>

        <q-item-section>
          <q-item-label>{{ contact.name }}</q-item-label>
          <q-item-label caption lines="1">
            {{ contact.email }}
          </q-item-label>
        </q-item-section>

        <q-item-section side>
          <q-icon name="chat_bubble" color="green" />
        </q-item-section>
      </q-item>
    </q-list>
  </q-page>
</template>

<script>
export default {
  name: 'Clients',
  data() {
    return {
      contacts: [
        {
          id: 1,
          name: 'ИТС, ООО',
          email: 'info@its.bz',
          letter: 'I',
        },
        {
          id: 2,
          name: 'Рогозин Иван',
          email: 'vasya@mail.ru',
          letter: 'Р',
        },
        {
          id: 3,
          name: 'Газпром, ОАО',
          email: 'ewicklen2@microsoft.com',
          letter: 'Г',
        },
        {
          id: 4,
          name: 'Женя Плюшкина, ИП',
          email: 'zheka@plushki.ru',
          letter: 'Ж',
        },
      ],
    }
  },
}
</script>
